/*====================================================================
		rcalc.h

		rFunc InterBase UDF library.
		Simple parser.

		Copyright 1998-2001 Polaris Software
		http://polesoft.da.ru
		mailto: rFunc@mail.ru

		Version 2.0.1.2
====================================================================== */

#ifndef _RCALC_H
#define _RCALC_H

#define IS_INDENT(v)    ((*v>='A' && *v<='Z') || (*v>='0' && *v<='9'))
#define SKIP_BLANKS(v)  while (strchr(" \n\t", **v)) (*v)++;

typedef struct {
	char Name[32];
	long Length;
	double Value;
} VariablesStruct;

double EXPORT fn_CalcExpr(ARG(char*, S), ARG(char*, inVar));
long EXPORT fn_ExprIsValid(ARG(char*, S), ARG(char*, inVar));

#endif