/*====================================================================
      File rdrop.sql

      rFunc InterBase UDF library.
      Uninstall SQL-script for IB.

      Copyright 1998-2001 Polaris Software
      http://polesoft.da.ru
      mailto: rFunc@mail.ru

      Version 2.0.1.2
====================================================================== */

/* Define valid path and password for your database */
/* 4.2 Windows local */
/*CONNECT "d:\progra~1\borland\intrbase\examples\employee.gdb" USER "SYSDBA" PASSWORD "masterkey";*/
/* 5.x Windows local */
/*CONNECT "d:\progra~1\interb~1\interb~1\examples\database\employee.gdb" USER "SYSDBA" PASSWORD "masterkey";*/
/* 5.x Linux remote */
/*CONNECT "iblinux:/usr/local/interbase/examples/employee.gdb" USER "SYSDBA" PASSWORD "masterkey";*/
/* 6.x Windows local Firebird Dialect 1 */
/*CONNECT "d:\progra~1\firebird\examples\v5\employee.gdb" USER "SYSDBA" PASSWORD "masterkey";*/
/* 6.x Windows local Borland Dialect 1 */
/*CONNECT "d:\progra~1\borland\interbase\examples\database\employee.gdb" USER "SYSDBA" PASSWORD "masterkey";*/
/* 6.x Windows local Dialect 3 */
/*CONNECT 'e:\ibase5\test\test6.gdb' USER 'SYSDBA' PASSWORD 'masterkey';*/
/* 6.x Linux remote Dialect 1 */
/*CONNECT "iblinux:/opt/interbase/examples/employee.gdb" USER "SYSDBA" PASSWORD "masterkey";*/
/* 6.x Linux remote Dialect 3 */
/*CONNECT "mlinux:/base/test6.gdb" USER "SYSDBA" PASSWORD "masterkey";*/

DROP EXTERNAL FUNCTION YEAR;
DROP EXTERNAL FUNCTION MONTH;
DROP EXTERNAL FUNCTION DAY;
DROP EXTERNAL FUNCTION YEARDAY;
DROP EXTERNAL FUNCTION WEEKDAY;
DROP EXTERNAL FUNCTION HOUR;
DROP EXTERNAL FUNCTION MINUTE;
DROP EXTERNAL FUNCTION SECOND;

DROP EXTERNAL FUNCTION ISLEAPYEAR;
DROP EXTERNAL FUNCTION QUARTER;

DROP EXTERNAL FUNCTION DATETOSTR;
DROP EXTERNAL FUNCTION ENCODEDATE;
DROP EXTERNAL FUNCTION ENCODEDATETIME;
DROP EXTERNAL FUNCTION EXTRACTDATE;
DROP EXTERNAL FUNCTION EXTRACTTIME;

DROP EXTERNAL FUNCTION DOW;
DROP EXTERNAL FUNCTION DAYPERMONTH;

DROP EXTERNAL FUNCTION FIRSTDAYMONTH;
DROP EXTERNAL FUNCTION LASTDAYMONTH;

DROP EXTERNAL FUNCTION DAYSBETWEEN;
DROP EXTERNAL FUNCTION INCDATE;

/* Math functions */
DROP EXTERNAL FUNCTION ABS;
DROP EXTERNAL FUNCTION MAXNUM;
DROP EXTERNAL FUNCTION MINNUM;
DROP EXTERNAL FUNCTION CEIL;
DROP EXTERNAL FUNCTION FLOOR;
DROP EXTERNAL FUNCTION POWER;
DROP EXTERNAL FUNCTION ROUND;
DROP EXTERNAL FUNCTION SOFTROUND;
DROP EXTERNAL FUNCTION DIV;
DROP EXTERNAL FUNCTION MOD;
DROP EXTERNAL FUNCTION Z;
DROP EXTERNAL FUNCTION DZERO;

DROP EXTERNAL FUNCTION INITRANDOM;
DROP EXTERNAL FUNCTION GETRANDOM;

DROP EXTERNAL FUNCTION GETBIT;
DROP EXTERNAL FUNCTION SETBIT;
DROP EXTERNAL FUNCTION BITAND;
DROP EXTERNAL FUNCTION BITOR;
DROP EXTERNAL FUNCTION BITXOR;
DROP EXTERNAL FUNCTION BITNOT;

/* String functions */
DROP EXTERNAL FUNCTION CHR;
DROP EXTERNAL FUNCTION ORD;
DROP EXTERNAL FUNCTION LTRIM;
DROP EXTERNAL FUNCTION LONGLTRIM;
DROP EXTERNAL FUNCTION RTRIM;
DROP EXTERNAL FUNCTION LONGRTRIM;
DROP EXTERNAL FUNCTION TRIM;
DROP EXTERNAL FUNCTION LONGTRIM;
DROP EXTERNAL FUNCTION RUPPER;
DROP EXTERNAL FUNCTION LONGRUPPER;
DROP EXTERNAL FUNCTION RLOWER;
DROP EXTERNAL FUNCTION LONGRLOWER;
DROP EXTERNAL FUNCTION RLATIN;
DROP EXTERNAL FUNCTION LONGRLATIN;
DROP EXTERNAL FUNCTION RTRANSLIT;
DROP EXTERNAL FUNCTION LONGRTRANSLIT;

DROP EXTERNAL FUNCTION SUBSTR;
DROP EXTERNAL FUNCTION LONGSUBSTR;
DROP EXTERNAL FUNCTION STRREPEAT;
DROP EXTERNAL FUNCTION LONGSTRREPEAT;
DROP EXTERNAL FUNCTION STRSTUFF;
DROP EXTERNAL FUNCTION LONGSTRSTUFF;
DROP EXTERNAL FUNCTION STRREPLACE;
DROP EXTERNAL FUNCTION LONGSTRREPLACE;
DROP EXTERNAL FUNCTION STRPOS;
DROP EXTERNAL FUNCTION STRLEN;
DROP EXTERNAL FUNCTION STRCOUNT;
DROP EXTERNAL FUNCTION WORDCOUNT;
DROP EXTERNAL FUNCTION WORDNUM;
DROP EXTERNAL FUNCTION LONGWORDNUM;
DROP EXTERNAL FUNCTION PADRIGHT;
DROP EXTERNAL FUNCTION LONGPADRIGHT;
DROP EXTERNAL FUNCTION PADLEFT;
DROP EXTERNAL FUNCTION LONGPADLEFT;

/* Miscellaneous functions */
DROP EXTERNAL FUNCTION IIF;
DROP EXTERNAL FUNCTION DIF;
DROP EXTERNAL FUNCTION CIF;
DROP EXTERNAL FUNCTION DTIF;
DROP EXTERNAL FUNCTION LONGCIF;

DROP EXTERNAL FUNCTION MSGBOX;

/* User manipulations */
DROP EXTERNAL FUNCTION ADD_USER;
DROP EXTERNAL FUNCTION MODIFY_USER;
DROP EXTERNAL FUNCTION DELETE_USER;

/* Simple parser */
DROP EXTERNAL FUNCTION CALCEXPR;
DROP EXTERNAL FUNCTION EXPRISVALID;

/* Blob functions */
DROP EXTERNAL FUNCTION B_NUMBER_SEGMENTS;
DROP EXTERNAL FUNCTION B_MAX_SEGMENT;
DROP EXTERNAL FUNCTION B_TOTAL_LENGTH;
DROP EXTERNAL FUNCTION B_LINE_COUNT;
DROP EXTERNAL FUNCTION B_SUBSTR;
DROP EXTERNAL FUNCTION B_LONGSUBSTR;
DROP EXTERNAL FUNCTION B_LINE;
DROP EXTERNAL FUNCTION B_LONGLINE;
DROP EXTERNAL FUNCTION B_PUT_SEGMENT;

COMMIT;
